#include "Command.h"
#include "Level.h"
#include "List.h"

using namespace std;

const string SaveCommand::_id = "save";

void SaveCommand::execute()
{
	Level::instance()->save();
}

std::string SaveCommand::getString()
{
	List *command = new List();
	command->snoc(new Atom(_id));

	string commandString = command->getString();
	delete command;

	return commandString;
}